Foxit PDF SDK

Public Member Functions | List of all members
com.foxit.sdk.addon.layoutrecognition.LRContentElement Class Reference
Inheritance diagram for com.foxit.sdk.addon.layoutrecognition.LRContentElement:

## Public Member Functions
| LRContentElement ()
| Constructor.
| LRContentElement (LRContentElement other)
| Constructor, with another content element object. More...
| LRContentElement (LRElement element)
| Constructor, with parent class object. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
RectF | getBBox () throws com.foxit.sdk.PDFException
| Get bounding box. More...
LRGraphicsObjectElement | getGraphicsObjectElement () throws com.foxit.sdk.PDFException
| Get the related graphics object element. More...
Range | getGraphicsObjectRange () throws com.foxit.sdk.PDFException
| Get the range of current content element in current graphics object. More...
Matrix2D | getMatrix () throws com.foxit.sdk.PDFException
| Get matrix. More...
LRStructureElement | getParentElement () throws com.foxit.sdk.PDFException
| Get the parent element. More...
Public Member Functions inherited from com.foxit.sdk.addon.layoutrecognition.LRElement
| LRElement ()
| Constructor.
| LRElement (LRElement other)
| Constructor, with another base element object. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
int | getElementType ()
| Get element type. More...
boolean | isContentElement () throws com.foxit.sdk.PDFException
| Check whether current object is content element or not. More...
boolean | isEmpty ()
| Check whether current object is empty or not. More...
boolean | isGraphicsObjectElement () throws com.foxit.sdk.PDFException
| Check whether current object is graphics object element or not. More...
boolean | isStructureElement () throws com.foxit.sdk.PDFException
| Check whether current object is structure element or not. More...
String | stringifyType () throws com.foxit.sdk.PDFException
| Convert type (enum value) of current element to a short and memorable string (text) representation. More...
Public Member Functions inherited from com.foxit.sdk.common.Base
synchronized void | delete ()
| Clean up related C++ resources immediately. More...

## Additional Inherited Members
Static Public Member Functions inherited from com.foxit.sdk.addon.layoutrecognition.LRElement
static String | stringifyElementType (int type)
| Convert enum value of a specified element type to a short and memorable string (text) representation. More...
Static Public Attributes inherited from com.foxit.sdk.addon.layoutrecognition.LRElement
static final int | e_ElementTypeAnnot = 0x0307
| Structure element type: Annot, which means "Annotation" and represents an association between a portion of the ILSE's content and a corresponding PDF annotation.
static final int | e_ElementTypeAnnotContent = 0xC000000E
| Structure element type: AnnotContent, which means annotation content element.
static final int | e_ElementTypeAnnotObject = 0x8000000E
| Structure element type: AnnotObject, which means annotation object element.
static final int | e_ElementTypeArt = 0x0101
| Structure element type: Art, which means "Article" and represents a relatively self-contained body of text constituting a single narrative or exposition.
static final int | e_ElementTypeArtifact = 0x1000
| Structure element type: Artifact, which includes other Pagination, Layout, Page and Background artifacts.
static final int | e_ElementTypeAside = 0x0108
| Structure element type: Aside (PDF 2.0), which represents content that is distinct from other content within its parent structure element.
static final int | e_ElementTypeBibEntry = 0x0304
| Structure element type: BibEntry, which means "Bibliography entry" and represents a reference identifying the external source of some cited content.
static final int | e_ElementTypeBlockQuote = 0x0103
| Structure element type: BlockQuote, which means "Block quotation" and represents a portion of text consisting of one or more paragraphs attributed to someone other than the author of the surrounding text.
static final int | e_ElementTypeCaption = 0x0104
| Structure element type: Caption, which represents a brief portion of text describing a table or figure.
static final int | e_ElementTypeCode = 0x0305
| Structure element type: Code, which represents a fragment of computer program text.
static final int | e_ElementTypeComplexContent = 0xC000000D
| Structure element type: ComplexContent, which means complex content element.
static final int | e_ElementTypeContainerObject = 0x8000000C
| Structure element type: ContainerObject, which means container object element.
static final int | e_ElementTypeDiv = 0x0100
| Structure element type: Div, which means "Division" and represents a generic block-level element or group of elements.
static final int | e_ElementTypeDocument = 0x0000
| Structure element type: Document, which represents a complete document.
static final int | e_ElementTypeDocumentFragment = 0x0001
| Structure element type: DocumentFragment (PDF 2.0), which represents a part of an original complete document.
static final int | e_ElementTypeEm = 0x030F
| Structure element type: Em (PDF 2.0), which means "Emphasis" and represents content for the purpose of emphasis.
static final int | e_ElementTypeFENote = 0x010A
| Structure element type: FENote (PDF 2.0), which is used to markup footnotes and endnotes.
static final int | e_ElementTypeFigure = 0x0400
| Structure element type: Figure, which represents an item of graphical content.
static final int | e_ElementTypeForm = 0x0402
| Structure element type: Form, which represents a widget annotation representing an interactive form field.
static final int | e_ElementTypeFormObject = 0x80000005
| Structure element type: FormObject, which means form XObject graphics object element.
static final int | e_ElementTypeFormula = 0x0401
| Structure element type: Formula, which represents a mathematical formula.
static final int | e_ElementTypeHeading = 0x0201
| Structure element type: H, which means "Heading" and represents a label for a subdivision of a document's content. It should be the first child of the division that it heads.
static final int | e_ElementTypeHeading1 = 0x0202
| Structure element type: H1, which represents heading with level 1.
static final int | e_ElementTypeHeading2 = 0x0203
| Structure element type: H2, which represents heading with level 2.
static final int | e_ElementTypeHeading3 = 0x0204
| Structure element type: H3, which represents heading with level 3.
static final int | e_ElementTypeHeading4 = 0x0205
| Structure element type: H4, which represents heading with level 4.
static final int | e_ElementTypeHeading5 = 0x0206
| Structure element type: H5, which represents heading with level 5.
static final int | e_ElementTypeHeading6 = 0x0207
| Structure element type: H6, which represents heading with level 6.
static final int | e_ElementTypeHeadingN = 0x0208
| Structure element type: Hn (PDF 2.0), which represents heading with level 7 or more.
static final int | e_ElementTypeImageContent = 0xC0000003
| Structure element type: ImageContent, which means image content element.
static final int | e_ElementTypeImageObject = 0x80000003
| Structure element type: ImageObject, which means image graphics object element.
static final int | e_ElementTypeIndex = 0x0107
| Structure element type: Index, which represents a sequence of entries containing identifying text accompanied by reference elements that point out occurrences of the specified text in the main body of a document.
static final int | e_ElementTypeLink = 0x0306
| Structure element type: Link, which represents an association between a portion of the ILSE's content and a corresponding link annotation or annotations.
static final int | e_ElementTypeList = 0x0209
| Structure element type: L, which means "List" and represents a sequence of items of like meaning and importance.
static final int | e_ElementTypeListBody = 0x020C
| Structure element type: LBody, which means "List body" and reprsents the descriptive content of a list item.
static final int | e_ElementTypeListItem = 0x020A
| Structure element type: LI, which means "List item" and represents an individual member of a list.
static final int | e_ElementTypeListLabel = 0x020B
| Structure element type: Lbl, which means "Label" and represents a name or number that distinguishes a given item from others in the same list or other group of like items.
static final int | e_ElementTypeNonStruct = 0x010F
| Structure element type: NonStruct, which means "Nonstructural element" and represents a grouping element having no inherent structural significance; it serves solely for grouping purposes.
static final int | e_ElementTypeNote = 0x0302
| Structure element type: Note, which represents an item of explanatory text, such as a footnote or an endnote, that is referred to from within the body of the document.
static final int | e_ElementTypePageObject = 0x8000000F
| Structure element type: PageObject, which means page object element.
static final int | e_ElementTypeParagraph = 0x0200
| Structure element type: P, which means "Paragraph" and represents a low-level division of text.
static final int | e_ElementTypePart = 0x0002
| Structure element type: Part, which represents a large-scale division of a document.
static final int | e_ElementTypePathContent = 0xC0000002
| Structure element type: PathContent, which means path content element.
static final int | e_ElementTypePathObject = 0x80000002
| Structure element type: PathObject, which means path graphics object element.
static final int | e_ElementTypePrivate = 0x0110
| Structure element type: Private, which means "Private element" and represents a grouping element containing private content belonging to the application producing it.
static final int | e_ElementTypeQuote = 0x0301
| Structure element type: Quote, which means "Quotation" and represents an inline portion of text attributed to someone other than the author of the surrounding text.
static final int | e_ElementTypeReference = 0x0303
| Structure element type: Reference, which represents a citation to content elsewhere in the document.
static final int | e_ElementTypeRuby = 0x0308
| Structure element type: Ruby, which represents the wrapper around the entire ruby assembly.
static final int | e_ElementTypeRubyAnnot = 0x030A
| Structure element type: RT, which means "Ruby annotation text" and represents the smaller-size text that is placed adjacent to the ruby base text.
static final int | e_ElementTypeRubyBase = 0x0309
| Structure element type: RB, which means "Ruby base text" and represents the full-size text to which the ruby annotation is applied.
static final int | e_ElementTypeRubyPunc = 0x030B
| Structure element type: RP, which means "Ruby punctuation" and represents punctuation surrounding the ruby annotation text.
static final int | e_ElementTypeSect = 0x0102
| Structure element type: Sect, which means "Section" and represents a container for grouping related content elements.
static final int | e_ElementTypeShadingContent = 0xC0000004
| Structure element type: ShadingContent, which means shading content element.
static final int | e_ElementTypeShadingObject = 0x80000004
| Structure element type: ShadingObject, which means shading graphics object element.
static final int | e_ElementTypeSpan = 0x0300
| Structure element type: Span, which represents a generic inline portion of text having no particular inherent characteristics.
static final int | e_ElementTypeStrong = 0x0310
| Structure element type: Strong (PDF 2.0), which represents content for the purpose of strong importance, seriousness or urgency for its contents.
static final int | e_ElementTypeSub = 0x0311
| Structure element type: Sub (PDF 2.0), which means "Sub-division of a block level element" and represents content typically perceived as a sub- division inside a block level structure element.
static final int | e_ElementTypeTable = 0x020D
| Structure element type: Table, which represents a two-dimensional layout of rectangular data cells, possibly having a complex substructure.
static final int | e_ElementTypeTableBodyGroup = 0x0212
| Structure element type: TBody, which means "Table body row group" and represents a group of rows that constitute the main body portion of a table.
static final int | e_ElementTypeTableDataCell = 0x0210
| Structure element type: TD, which means "Table data cell" and represents a table cell containing data that is part of the table's content.
static final int | e_ElementTypeTableFootGroup = 0x0213
| Structure element type: TFoot, which means "Table footer row group" and represents a group of rows that constitute the footer of a table.
static final int | e_ElementTypeTableHeaderCell = 0x020F
| Structure element type: TH, which means "Table header cell" and represents a table cell containing header text describing one or more rows or columns of the table.
static final int | e_ElementTypeTableHeaderGroup = 0x0211
| Structure element type: THead, which means "Table header row group" and represents a group of rows that constitute the header of a table.
static final int | e_ElementTypeTableRow = 0x020E
| Structure element type: TR, which means "Table row" and represents a row of headings or data in a table.
static final int | e_ElementTypeTextContent = 0xC0000001
| Structure element type: TextContent, which means text content element.
static final int | e_ElementTypeTextObject = 0x80000001
| Structure element type: TextObject, which means text graphics object element.
static final int | e_ElementTypeTitle = 0x0109
| Structure element type: Title (PDF 2.0), which represents content that is usually referred to as the title of a document or high-level devision of content.
static final int | e_ElementTypeTOC = 0x0105
| Structure element type: TOC, which means "Table of contents" and represents a list made up of table of contents item entries and/or other nested table of contents entries.
static final int | e_ElementTypeTOCI = 0x0106
| Structure element type: TOCI, which means "Table of contents item" and represents an individual member of a table of contents.
static final int | e_ElementTypeWarichu = 0x030C
| Structure element type: Warichu, which represents the wrapper around the entire warichu assembly.
static final int | e_ElementTypeWarichuPunc = 0x030E
| Structure element type: WP, which means "Warichu punctuation" and represents the punctuation that surrounds the WT text.
static final int | e_ElementTypeWarichuText = 0x030D
| Structure element type: WT, which means "Warichu text" and represents the smaller-size text of a warichu comment that is formatted into two lines and placed between surrounding WP elements.

## Detailed Description

This class represents a content element. A content element contains the content from the graphics object.

## Constructor & Destructor Documentation

## ◆ LRContentElement() [1/2]

com.foxit.sdk.addon.layoutrecognition.LRContentElement.LRContentElement | ( | LRContentElement | other | ) |

Constructor, with another content element object.

Parameters

  [in] | other | Another content element object.

## ◆ LRContentElement() [2/2]

com.foxit.sdk.addon.layoutrecognition.LRContentElement.LRContentElement | ( | LRElement | element | ) |

Constructor, with parent class object.

Parameters

  [in] | element | Parent class object.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.addon.layoutrecognition.LRContentElement.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getBBox()

RectF com.foxit.sdk.addon.layoutrecognition.LRContentElement.getBBox | ( |  | ) | throws com.foxit.sdk.PDFException

Get bounding box.

Returns
  Bounding box.

## ◆ getGraphicsObjectElement()

LRGraphicsObjectElement com.foxit.sdk.addon.layoutrecognition.LRContentElement.getGraphicsObjectElement | ( |  | ) | throws com.foxit.sdk.PDFException

Get the related graphics object element.

Returns
  Related graphics object element. If function LRGraphicsObjectElement::IsEmpty for the returned object returns true, that means current element does not have a parent element.

## ◆ getGraphicsObjectRange()

Range com.foxit.sdk.addon.layoutrecognition.LRContentElement.getGraphicsObjectRange | ( |  | ) | throws com.foxit.sdk.PDFException

Get the range of current content element in current graphics object.

All the indexes specified in the range represents current content element in the graphics object position.

Returns
  A range object.

## ◆ getMatrix()

Matrix2D com.foxit.sdk.addon.layoutrecognition.LRContentElement.getMatrix | ( |  | ) | throws com.foxit.sdk.PDFException

Get matrix.

Returns
  Matrix.

## ◆ getParentElement()

LRStructureElement com.foxit.sdk.addon.layoutrecognition.LRContentElement.getParentElement | ( |  | ) | throws com.foxit.sdk.PDFException

Get the parent element.

Returns
  Parent element. If function LRStructureElement::IsEmpty for the returned object returns true, that means current element does not have a parent element.